### Hierarchy

- unknown
  - PeerPublishedDelayedPayoutTxMessage

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getSenderNodeAddress
- getTradeId
- getUid
- hasSenderNodeAddress
- serializeBinary
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PeerPublishedDelayedPayoutTxMessage(): PeerPublishedDelayedPayoutTxMessage

- Inherited from jspb.Message.constructor

  #### Returns PeerPublishedDelayedPayoutTxMessage

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): PeerPublishedDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1817

  #### Returns PeerPublishedDelayedPayoutTxMessage

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1814

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1811

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1808

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1816

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1819

  #### Returns Uint8Array

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): PeerPublishedDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1815

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns PeerPublishedDelayedPayoutTxMessage

### setTradeId

- setTradeId(value: string): PeerPublishedDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1812

  #### Parameters

  - ##### value: string

  #### Returns PeerPublishedDelayedPayoutTxMessage

### setUid

- setUid(value: string): PeerPublishedDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1809

  #### Parameters

  - ##### value: string

  #### Returns PeerPublishedDelayedPayoutTxMessage

### toObject

- toObject(includeInstance?: boolean): PeerPublishedDelayedPayoutTxMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1820

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PeerPublishedDelayedPayoutTxMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PeerPublishedDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1823

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PeerPublishedDelayedPayoutTxMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PeerPublishedDelayedPayoutTxMessage, reader: BinaryReader): PeerPublishedDelayedPayoutTxMessage

- - Defined in src/protobuf/pb_pb.d.ts:1824

  #### Parameters

  - ##### message: PeerPublishedDelayedPayoutTxMessage

  - ##### reader: BinaryReader

  #### Returns PeerPublishedDelayedPayoutTxMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PeerPublishedDelayedPayoutTxMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1822

  #### Parameters

  - ##### message: PeerPublishedDelayedPayoutTxMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PeerPublishedDelayedPayoutTxMessage ): PeerPublishedDelayedPayoutTxMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1821

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PeerPublishedDelayedPayoutTxMessage

  #### Returns PeerPublishedDelayedPayoutTxMessage . AsObject

Generated using TypeDoc